package com.example.bradysdk;


import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

/**
 * Printer Details screen that shows details about the printer based on the Bidi responses
 */
public class PrinterActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_printer);
        TextView printerName = findViewById(R.id.printerName);
        TextView printerStatus = findViewById(R.id.printerStatus);
        TextView printerSupply = findViewById(R.id.printerSupply);
        TextView printerYNumber = findViewById(R.id.printerYNumber);
        TextView printerSupplyRemaining = findViewById(R.id.printerSupplyRemaining);
        TextView printerSupplyDimensions = findViewById(R.id.printerSupplyDimensions);
        TextView printerRibbon = findViewById(R.id.printerRibbon);
        TextView printerRibbonRemaining = findViewById(R.id.printerRibbonRemaining);
        TextView printerBattery = findViewById(R.id.printerBattery);

        if(getIntent().getStringExtra("PRINTER_MODEL").equals("M211")){
            printerRibbon.setVisibility(View.GONE);
            printerRibbonRemaining.setVisibility(View.GONE);
        }

        printerName.setText(String.format("Name: %s", getIntent().getStringExtra("PRINTER_NAME")));
        printerStatus.setText(String.format("Status: %s", getIntent().getStringExtra("PRINTER_STATUS")));
        printerSupply.setText(String.format("Supply: %s", getIntent().getStringExtra("PRINTER_SUPPLY")));
        printerYNumber.setText(String.format("Y Number: %s", getIntent().getStringExtra("Y_NUMBER")));
        printerSupplyRemaining.setText(String.format("Supply Remaining Percentage: %s", getIntent().getStringExtra("PRINTER_SUPPLY_LEFT")));
        printerSupplyDimensions.setText(String.format("Supply Dimensions: %s", getIntent().getStringExtra("SUPPLY_DIMENSIONS")));
        printerRibbon.setText(String.format("Ribbon: %s", getIntent().getStringExtra("PRINTER_RIBBON")));
        printerRibbonRemaining.setText(String.format("Ribbon Remaining Percentage: %s", getIntent().getStringExtra("PRINTER_RIBBON_LEFT")));
        printerBattery.setText(String.format("Battery: %s", getIntent().getStringExtra("BATTERY_LEVEL")));

    }

    public void doneWithDetails(View view) {
        finish();
    }
}

